[lfs-book] r10006 - in trunk/BOOK: . chapter01 chapter06

matthew at linuxfromscratch.org matthew at linuxfromscratch.org
Tue Oct 2 13:02:31 PDT 2012


Author: matthew
Date: 2012-10-02 14:02:27 -0600 (Tue, 02 Oct 2012)
New Revision: 10006

Modified:
   trunk/BOOK/chapter01/changelog.xml
   trunk/BOOK/chapter01/whatsnew.xml
   trunk/BOOK/chapter06/libpipeline.xml
   trunk/BOOK/packages.ent
Log:
Upgrade to Libpipeline-1.2.2. Fixes #3186.

Modified: trunk/BOOK/chapter01/changelog.xml
===================================================================
--- trunk/BOOK/chapter01/changelog.xml	2012-10-02 20:01:57 UTC (rev 10005)
+++ trunk/BOOK/chapter01/changelog.xml	2012-10-02 20:02:27 UTC (rev 10006)
@@ -40,6 +40,10 @@
       <para>2012-10-02</para>
       <itemizedlist>
         <listitem>
+          <para>[matthew] - Upgrade to Libpipeline-1.2.2. Fixes
+          <ulink url="&lfs-ticket-root;3186">#3186</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[matthew] - Upgrade to Automake-1.12.4.  Fixes
           <ulink url="&lfs-ticket-root;3185">#3185</ulink>.</para>
         </listitem>

Modified: trunk/BOOK/chapter01/whatsnew.xml
===================================================================
--- trunk/BOOK/chapter01/whatsnew.xml	2012-10-02 20:01:57 UTC (rev 10005)
+++ trunk/BOOK/chapter01/whatsnew.xml	2012-10-02 20:02:27 UTC (rev 10006)
@@ -121,9 +121,9 @@
     <!--<listitem>
       <para>LFS-Bootscripts &lfs-bootscripts-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Libpipeline &libpipeline-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Libtool &libtool-version;</para>
     </listitem>-->

Modified: trunk/BOOK/chapter06/libpipeline.xml
===================================================================
--- trunk/BOOK/chapter06/libpipeline.xml	2012-10-02 20:01:57 UTC (rev 10005)
+++ trunk/BOOK/chapter06/libpipeline.xml	2012-10-02 20:02:27 UTC (rev 10006)
@@ -41,10 +41,6 @@
   <sect2 role="installation">
     <title>Installation of Libpipeline</title>
 
-    <para>Fix an incompatibility between this package and Glibc-&glibc-version;:</para>
-
-<screen><userinput remap="pre">sed -i -e '/gets is a/d' gnulib/lib/stdio.in.h</userinput></screen>
-
     <para>Prepare Libpipeline for compilation:</para>
 
 <screen><userinput remap="configure">PKG_CONFIG_PATH=/tools/lib/pkgconfig ./configure --prefix=/usr</userinput></screen>

Modified: trunk/BOOK/packages.ent
===================================================================
--- trunk/BOOK/packages.ent	2012-10-02 20:01:57 UTC (rev 10005)
+++ trunk/BOOK/packages.ent	2012-10-02 20:02:27 UTC (rev 10006)
@@ -310,10 +310,10 @@
 <!ENTITY lfs-bootscripts-ch7-du "BOOTSCRIPTS-INSTALL-KB KB"> <!-- Updated in Makefile -->
 <!ENTITY lfs-bootscripts-ch7-sbu "less than 0.1 SBU">
 
-<!ENTITY libpipeline-version "1.2.1">
-<!ENTITY libpipeline-size "723 KB">
+<!ENTITY libpipeline-version "1.2.2">
+<!ENTITY libpipeline-size "733 KB">
 <!ENTITY libpipeline-url "http://download.savannah.gnu.org/releases/libpipeline/libpipeline-&libpipeline-version;.tar.gz">
-<!ENTITY libpipeline-md5 "20896c919eca4acb3d2f13012fb7ba02">
+<!ENTITY libpipeline-md5 "4367a3f598d171fd43dfa8620ed16d55">
 <!ENTITY libpipeline-home "http://libpipeline.nongnu.org/">
 <!ENTITY libpipeline-ch6-du "7.4 MB">
 <!ENTITY libpipeline-ch6-sbu "0.2 SBU">




More information about the lfs-book mailing list